package org.chenyang.http.message;

import org.chenyang.http.Header;
import org.chenyang.http.ProtocolVersion;
import org.chenyang.http.RequestLine;
import org.chenyang.http.StatusLine;
import org.chenyang.http.util.CharArrayBuffer;

public interface LineFormatter {
   CharArrayBuffer appendProtocolVersion(CharArrayBuffer var1, ProtocolVersion var2);

   CharArrayBuffer formatRequestLine(CharArrayBuffer var1, RequestLine var2);

   CharArrayBuffer formatStatusLine(CharArrayBuffer var1, StatusLine var2);

   CharArrayBuffer formatHeader(CharArrayBuffer var1, Header var2);
}
